@echo off
cls

::
:: Set project name and offset here
::

set HW_IMAGE=de0n-xboot-test
set HW_OFFSET=0x00100000

set SW_IMAGE=de0n-xboot-test-app
set SW_OFFSET=0x001C0000

:: ------------------------------------
 
del .\build\*.* /S /Q >NUL 2>&1 

copy *.elf .\build >NUL 2>&1
copy ..\..\..\hw\output_files\%HW_IMAGE%.sof .\build\ >NUL 2>&1

echo *******************************
echo * Starting Nios Command Shell *
echo *******************************
echo Please wait...

::
:: Create hwimage.hex and swimage.hex
::
call "%ALTERA_PROGRAM_DIR_V11%\nios2eds\Nios II Command Shell.bat" ./cfg/convert.sh %HW_IMAGE% %HW_OFFSET% %SW_IMAGE% %SW_OFFSET%

::
:: Convert HEX files to POF, RPD and JIC image files
::
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_pof.cof
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_rpd.cof
%ALTERA_PROGRAM_DIR_V11%\quartus\bin\quartus_cpf -c .\cfg\de0n_jic.cof

::
:: Delete files which does not needed anymore
::
del .\build\*.elf
del .\build\*.flash
del .\build\*.hex
del .\build\*.pof

.\tools\rpd2xboot -i:.\build\image.rpd
echo.

pause